# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Locale-Maketext-Simple
Version:	0.21
Release:	3.%{__distinit}%{__distvers}
Summary:	Simple interface to Locale::Maketext::Lexicon
License:	MIT
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Locale-Maketext-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/Locale-Maketext-Simple-%{version}.tar.gz
Source1:	3C3501A0.asc
Source2:	108E4046.asc
Source3:	161C06B1.asc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Locale::Maketext)
BuildRequires:	perl(Locale::Maketext::Lexicon) >= 0.20
BuildRequires:	perl(Module::Signature)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildRequires:	perl(base)
Requires:	perl(File::Spec)
Requires:	perl(Locale::Maketext::Lexicon) >= 0.20

%description
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.

%prep
%setup -q -c -n Locale-Maketext-Simple

# Copy up documentation for convenience with %%doc
cp -a Locale-Maketext-Simple-%{version}/{Changes,README} .

# Create a GPG directory for testing, to avoid using ~/.gnupg
mkdir --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome
gpg --import %{SOURCE1} %{SOURCE2} %{SOURCE3}

%build
cd Locale-Maketext-Simple-%{version}
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
cd -

%install
rm -rf %{buildroot}
make -C Locale-Maketext-Simple-%{version} pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
export GNUPGHOME=$(pwd)/gnupghome
# Signature test would fail on recent distros due to presence of MYMETA.yml
[ -f Locale-Maketext-Simple-%{version}/MYMETA.yml ] && mv Locale-Maketext-Simple-%{version}/MYMETA.yml ./
make -C Locale-Maketext-Simple-%{version} test TEST_SIGNATURE=1
[ -f MYMETA.yml ] && mv MYMETA.yml Locale-Maketext-Simple-%{version}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Locale/
%{_mandir}/man3/Locale::Maketext::Simple.3pm*

%changelog
* Thu Jul 12 2011 Paul Howarth <paul@city-fan.org> 0.21-3
- BR:/R: perl(base) and perl(File::Spec)
- BR: perl(Locale::Maketext) and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Drop patch supporting build with Perl 5.8.0
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Importation of GPG keys should never fail

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 0.21-2
- Rebuild for perl 5.14.1 in Rawhide
- Work around signature test failing on recent distributions due to the
  presence of MYMETA.yml
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Dec  9 2010 Paul Howarth <paul@city-fan.org> 0.21-1
- Update to 0.21
  - Add ability to have the IANA defined i-default language as a fallback when
    arbitrary message keys rather than English phrases are being used
- This release by JESSE -> update source URL and add GPG key
- BR: perl(Test::More)
- Patch out i-default test on ancient distributions where it doesn't work

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.18-3
- Import from Fedora
- Re-enable signature test

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.18-2
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.18-1
- Update to 0.18

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> 0.17-1
- Update to 0.17
- Fix find option order

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16
- License has changed to MIT

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.13-1
- Update to 0.13

* Mon Apr 10 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Explicitly require perl(Locale::Maketext::Lexicon)

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Specfile autogenerated by cpanspec 1.64
- Remove Module::Signature test
